Subject: From: AIList Moderator Kenneth Laws <AIList-REQUEST@SRI-AI>

From: [email-masked]
Date: Thu, 3 Oct 85 16:20:32 edt

Received: from sri-ai.arpa by CSNET-RELAY.ARPA id a001368; 1 Oct 85 20:03 EDT
Date: Sun 29 Sep 1985 11:14-PDT
Reply-to: AIList@SRI-AI
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467
Subject: AIList Digest   V3 #129
To: AIList@SRI-AI
Received: from rand-relay by vpi; Thu, 3 Oct 85 15:59 EST

AIList Digest            Sunday, 29 Sep 1985      Volume 3 : Issue 129

Today's Topics:
  Queries - FRANZ Questions,
  AI Tools - Public domain Prolog and Hope,
  Psychology - A Counterexample to Modus Ponens,
  Literature - New CSLI Reports & Recent Technical Reports, Articles

----------------------------------------------------------------------

Date: Mon, 23 Sep 85 17:39:06 cdt
From: Raj Doshi <[email-masked]>
Subject: FRANZ-unix question...

> In Franz, how can I access the following:-
        (1) The user's name  (not just the login name, but also
            the actual name from the '.plan' (or whatever) file  ???
        (2) The date.

Thank you very much.

--- raj doshi,  University of Minnesota

                [email-masked]

                Raj Doshi
                2030 Wilson Avenue, Apt #27
                Saint Paul, MN 55119
                (612)-739-2353
                (612)-739-2151

------------------------------

Date: Tue, 24 Sep 85 20:58:58 cdt
From: Raj Doshi <[email-masked]>
Subject: unknown prop.lists ..

**** QUESTION about FRANZ-LISP, atoms & their properties :-

Suppose that I have access to an atom (i.e. I know its NAME).
But I don't know anything more about it.

Now, is there a FRANZ function, whereby I can
ask franz to RETURN/LIST all the properties,
(given to the atom via PUTPROPs by the user).
if any, (and maybe their values) to me ???

Maybe the creators of FRANZ didn't see the need for such a function
or maybe they did not think about this, but,
I am sure FRANZ has to keep track of an atom's properties
(probably in an array or frame like structure).

HOW DOES FRANZ actually STORE THE properties OF ATOMS ??
If I know this, I could (probably?) write the function myself.

Thanks in advance.

--- raj doshi,  University of Minnesota

  [Full address in first message of this digest.  -- KIL]

------------------------------

Date: Tue, 24 Sep 85 21:53:59 cdt
From: Raj Doshi <[email-masked]>
Subject: i AND o ....

**** Question about CONCURRENT i/o to the SAME file.

I am trying to do the following in Franz-Lisp:-
     I have a file which has some stuff in it (= it is non-empty).
     First, I want to  *append* something to it (that is, I want
        to write something FROM its end-of-file;  I want to preserve
        its original contents).
     Then, I want to read something from the start-of-the-file.
     Then, I want to  *append*  something-new to the new-version
        of this file.

Now, I have tried the following:-
     Lets say that the file name is fn.
     TRY #1 :  setq portout (outfile 'fn)
               fseek portout
                     (filestat:size (filestat 'fn)) ;Filestat take only 2 param.
                     0)
               (defun p-raj () (patom "Hi-raj" portout))
               (p-raj)
               (p-raj)
               ----------------
               The problem with this is that the
                    >setq portout (outfile 'fn)
                    seems to AUTOMATICALLY and PERMANENTLY
                    put the r/w-cursor at the START of the file
                    (without my permission).  Also, once this is
                    done, FSEEK become impotent.  It will always
                    send back a zero.  Also, a FILEPOS has no effect.
                    Basically, you cannot move the @<@!!# cursor
                    unless you write  (and therefore overwrite the
                    original contents) something to the file.
                       Note however that, if I had not done
                       setq portout (outfile 'fn)
                       then,
                           >(filestat:size (filestat 'fn))
                       does return the true (unix) size of the file.
               @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
     TRY #2 :  (setq inout (infile 'fn))
               (fileopen 'fn 'w+)  ; FILEOPEN takes only 2 parameters.
               ; you can also try the following
               ; (fileopen 'fn 'a+)
               (filepos portio)
                   [this gives back a zero, which is ok.]
               (filestat:size (filestat 'junk))
                   [this does give its true size, say 232 blocks.]
               (filepos portio (filestat:size (filestat 'junk)))
                   [this does put the r/w-cursor at 232.]
               (filepos portio)
                   [this confirms that.]
               (patom "IS this really going to get appended ?" portio)
                   [this prints the above string on the TERMINAL,
                    not onto the file fn.]
               (filepos portio)
                   [the cursor is STILL at 232.]

               Basically, I think that the reason it won't write to the file
               fn in this second case is that the <inout> was defined
               for reading and not for writing.
                   {Is this the correct impression ?}

[I have tried many many different permutations also.]

SO, in brief, a <setq pi (outfile..>
         automatically puts the cursor at the start-of-the-file;
    and the FILEOPEN, FILEPOS, FSEEK dont seem to have any effect.
    and, a <setq po (infile...>
         never allows me to write onto the file atall
         even if I do a  <FILEOPEN 'fn 'w+>.

>>>>>>   QUESTION: What am I missing here ??  <<<<<<

Thanks in advance.

--- raj doshi,  University of Minnesota

  [Full address in first message of this digest.  -- KIL]

------------------------------

Date: Mon, 5 Aug 85 10:09:19 pdt
From: Peter Ludemann <ludemann%ubc.csnet@csnet-relay>
Subject: Public domain Prolog, Hope

          [Forwarded from the Prolog Digest by Laws@SRI-AI.]

The August 1985 issue of BYTE magazine has a number of
articles on Declarative Languages (Prolog, Hope, FP).

Public domain versions of Prolog (from Automata Design
Associates) and Hope (from Imperial college) for MS-DOS
machines are apparently available from BYTEnet at (617)
861-9774.  [...]

-- Peter Ludemann

------------------------------

Date: Fri, 27 Sep 85 10:57:18 edt
From: John McLean <[email-masked]>
Subject: A Counterexample to Modus Ponens

In the most recent issue of The_Journal_of_Philosophy, there is an
article by Vann McGee that presents several counterexamples to modus
ponens.  I am not sure whether to count them as counterexamples or as
cases where we hold inconsistent beliefs.  If the latter view is right,
it should be of interest to those who model belief systems.

One example of McGee's suffices to give the flavor of his article.
Before the 1980 presidential election, many held the two beliefs below:

   (1) If a Republican wins the election then if the winner is not Ronald
       Reagan, then the winner will be John Anderson.

   (2) A Republican will win the election.

Yet few if any of these people believed the conclusion:

   (3) If the winner is not Reagan then the winner will be Anderson.

John

------------------------------

Date: Wed 25 Sep 85 16:54:08-PDT
From: Emma Pease <[email-masked]>
Subject: New CSLI Reports

         [Excerpted from the CSLI Newsletter by Laws@SRI-AI.]

                             NEW CSLI REPORTS

      Report No. CSLI-85-31, ``A Formal Theory of Knowledge and Action''
   by Robert C. Moore, and Report No. CSLI-85-32, ``Finite State
   Morphology: A Review of Koskenniemi'' by Gerald Gazdar, have just been
   published.  These reports may be obtained by writing to David Brown,
   CSLI, Ventura Hall, Stanford, CA 94305 or Brown@SU-CSLI.

------------------------------

Date: 27 Sep 1985 19:49-CST
From: [email-masked]
Subject: Recent Technical Reports

Addresses for requests:

Carnegie Mellon University, CS Department, Pittsburgh, PA 15213
Stanford University, Department of Computer Science, Stanford, CA 94305

____________________________________________________________________________

%A Zohar Manna
%A Richard Waldinger
%T The Origin of the Binary Search Paradigm
%R STAN-CS-85-1044
%I Stanford University Department of Computer Science
%D MAR 1985
%X $2.75 - shows how binary search based algorithms in numerical
analysis would be derived by an automatic program-synthesis system

%A Anne von der Leith Gardner
%T An Artificial Intelligence Approach to Legal Reasoning
%R STAN-CS-85-1045
%I Stanford University Department of Computer Science
%D JUN 1984, 205 pages (microfiche only $2.00_

%A Jeffrey D. Ullman
%A Allen Van Gelder
%T Testing Applicability of Top-Down Capture Rules
%R STAN-CS-85-1046
%I Stanford University Department of Computer Science
%D APR 1985
%X $2.50 We extend the theory of "Capture rules", introduced in
Ullman (1984) and Sagiv and Ullman (1984), as a way
to plan the evaluation of queries in a "knowledge base."  The central
issue of the paper is how to adorn the nodes of
a rule/goal graph with limited amounts of information that can be used
to test wehtehr one can answer a query "top-down" as a Prolog would.
Moreover, the test must be performed quickly, preferably in time that is
polynomial in the size of hte logical rules in the "knowledge base."
We define the "uniqueness" property for rules and give an efficient
algorithms to generate a set of equalities among the sizes of arguments
in sets of such rules.  Satisfaction of these inequalities is sufficient
for the top-down processing of rules to cnverge.  We then give an efficient
test for satisfaction of these inequalities.  There is, of course, no
polynomial test that is both necessary and sufficient for applicability of
this or most any interesting capture rule.

%A Zohar Manna
%A Richard Waldinger
%T Special Relations in Automated Deduction
%R STAN-CS-85-1051
%I Stanford University Department of Computer Science
%K relation replacement rule relation matching rule polarity
%D MAY 1985
%X $4.00

%A Martin Abadi
%A Zohar Manna
%T Nonclausal Temporal Deduction
%D JUN 1985
%R STAN-CS-85-1056
%I Stanford University Department of Computer Science
%D JUN 1985
%K propositional temporal logic
%X 2.75

%A Ian A. Mason
%A Carolyn L. Talcott
%T Memories of S-expressions, Proving properties of Lisp-like programs
that destructively alter memory
%D JUN 1985
%R STAN-CS-85-1057
%I Stanford University Department of Computer Science
%X $3.50

%A Masaru Tomita
%T An Efficient Context-free Parsing Algrithm for Natural Languages
and its Applications
%D MAY 1985
%I Carnegie Mellon Computer Science

%A Gary L. Bradshaw
%T Learning to Recognize Speech Sounds: A Theory and Model
%D JUN 1985
%I Carnegie Mellon Computer Science

%A Masaru Tomita
%T Feasibility Study of Personal/Interactive Machine Translation
Systems
%D JUL 1985
%I Carnegie Mellon Computer Science

%A Jaime G. Carbonnell
%A Masaru Tomita
%T New Approaches to Machine Translation
%D JUL 1985
%I Carnegie Mellon Computer Science

%A Robert E. Frederking
%T Syntax and Semantics in Natural Language Parsers
%D MAY 1985
%I Carnegie Mellon Computer Science

%A Jeannette M. Wing
%A Farhad Arbab
%T Geometric Reasoning: A New Paradigm for Processing Geometric Information
%D JUL 1985
%I Carnegie Mellon Computer Science

%A Jeannette M. Wing
%A Mark R. Nixon
%T Adding Temporal Logic to Ina Jo
%D JUL 1985
%I Carnegie Mellon Computer Science
%K temporal logic formal specification

%A Ketan Mulmuley
%T A Mechanizable Theory for Existence Proofs of Inclusive Predicates
%D JUL 1985
%I Carnegie Mellon Computer Science

------------------------------

Date: 27 Sep 1985 20:02-CST
From: [email-masked]
Subject: Recent Articles

D BOOK15 Applications of Artificial Intelligence II\
%D April 9-11\
%I International Society for Optical Engineering (SPIE)\
%C Bellingham, Washington
D BOOK16 Solid Modeling by Computers From Theory to Applications\
%D SEP 25-27 1983\
%I Plenum Press\
%O (sponsored by) General Motors Research Laboratories of Warren Michigan
D BOOK17 Applications in Artificial Intelligence\
%I Petrocelli Books\
%C Princeton, New Jersey\
%E Stephen J. Andriole

%A Paul J. Besl
%A Ramesh C. Jain
%T Three-Dimensional Object Recogniton
%J Computing Surveys
%D March, 1985

%A Elain Marsh
%A Carol Friedman
%T Transporting the Linguistic String Project from a Medical
to a Navy Domain
%J ACM Transactions on Office Information Systems
%D APR 1985

%A Jonathan Slocum
%A Carol F. Justus
%T Transportability to Other Languages: The Natural Language
Processing Project in the AI Program at MCC
%J ACM Transactions on Office Information Systems
%D APR 1985

%A Samuel S. Epstein
%T Transportable Natural Language Processing Through Simplicity
%J ACM Transactions on Office  Information Systems
%D APR 1985

%A Bozena Hernisz Thompson
%A Frederick B. Thompson
%T ASK is Transportable in Half a Dozen Ways
%J ACM Transactions on Office Information Systems
%D APR 1985

%A Fred J. Damerau
%T Problems and Some Solutions in Customization of Natural Language Database
Front Ends
%J ACM Transactions on Office Information Systems
%D APR 1985

%A Carole D. Hafner
%A Kurt Golden
%T Portability of Syntax and Semantics in Datalog
%J ACM Transactions on Office Information Systems
%D APR 1985

%A Graham Birtwistle
%T Artificial Intelligence, Graphics and Simulation
%I Society for Computer Simulation
%D JAN 1985
%X $20.00, 119 pages, ISSN 07359276

%A Willard M. Holmes
%T Artificial Intelligence and Simulation
%I Society for Computer Simulation
%D MAR 1985
%X $20.00 75  pp ISBN 0911801057

%A Strategic Incorporated
%T Artificial Intelligence: Computer-Aided Instruction (CAI):
Markets, Issues, Suppliers and Technology Trends
%I Strategic Corporation
%D FEB 1985
%C Cupertino, California
%X price $1950.00

%A Perkins
%A Laffey
%A Nguyen
%T Rule-based Interpreting of Aerial Photographs Using LES
%J BOOK15

%A Captain Robert Milne
%T Functional Reasoning for Fault Diagnosis Expert Systems
%J BOOK15

%A Broadwell
%A Smith
%A Barnette
%A Staros
%T Decision Aiding for Tactical Aircraft
%J BOOK15

%A Appelbaum
%A Ruspini
%T ARIES: A Tool for Inference Under Conditions of Imprecision and
Uncertainty
%J BOOK15

%A Klinger
%T Search Processes for the Application of Artificial Intelligence
%J BOOK15

%A Levitt
%A Kirby
%A Muller
%T A Model-Based System for Force Structure Analysis
%J BOOK15

%A Hardt
%A Rosenberg
%T Developing an Expert Ship Message Interpreter-Theoretical and Practical
Conclusions
%J BOOK15

%A Rosenberg
%T ERIK, An Expert Ship Message Interpreter: New Mechanism for Flexible
Parsing
%J BOOK15

%A A Adams
%A Deutsch
%A Harrison
%T A hierarchical Planner for Intelligent Systems
%J BOOK15

%A Obermeier
%A de Hilster
%T DIID -- A Data-independent Interface for Databases -- The
AI Perspective
%J BOOK15

%A Haralick
%A Shapiro
%T Image Segmentation Techniques
%J BOOK15

%A Chestek
%A MUller
%A Chelberg
%T Knowledge Based Terrain Analysis
%J BOOK15

%A Forman
%T Robot Vision for Depalletizing Steel Cylindrical Billets
%J BOOK15

%A Bazakos
%A Panda
%T Stereopsis and Scene Partititoning for Terrain Interpretation
%J BOOK15

%A Lenger
%A Cipovic
%T Shape Recognition of Complex Objects by Syntactical Primitives
%J BOOK15

%A Castore
%T Solid Modeling, Aspect Graphs and Robot Vision
%J BOOK16

%A Lozano-perez
%A Brooks
%T An Apporoach to Automatic Robot Programming
%J BOOK16

%A Descotte
%A Latombe
%T GARI, an Expert System for Process Planning
%J BOOK16

%A Paul Lehner
%A Stephen Barth
%T Expert Systems on Microcomputers
%J BOOK17

%A Roger Schank
%A Steven Shwartz
%T The Role of Knowledge Engineering in Natural Language Systems
%J BOOK17

%A Jaime Carbonnel
%T The Role of User Modeling in Natural Language Interface Design
%J BOOK17

%A Gerald Hice
%A Stephen Andriole
%T Artificial Intelligent Videotex
%J BOOK17

%A Jean-Daniel Dessimoz
%T Vision for Industrial Robots
%J BOOK17

%A Dexter Fletcher
%T Intelligent Instructional Systems in Training
%J BOOK17

%A Jonathan Weiss
%T GenTree A Content Oreinted Aid to Decision Problem Structuring
%J BOOK17

%A Roger C. Schank
%A Peter G. Childers
%T The Cognitive Computer: On Language, Learning, and Artificial Intelligence
%X available from Library of Computer and Information Science for members
price of $14.50

------------------------------

End of AIList Digest
********************